Page MenuHomePhabricator

upgrade from curl usage from --tlsv1 to --tlsv1.2
Closed, ResolvedPublic

Description

Works:

curl --tlsv1.2 --proto =https https://www.torproject.org/projects/torbrowser/RecommendedTBBVersions

Does not work with check.torproject.org

Tor Project upstream bug report:
trac.torproject.org/projects/tor/ticket/13972


TODO:

Details

Impact
Normal

Event Timeline

Patrick created this task.Mar 31 2016, 10:57 PM
Patrick updated the task description. (Show Details)Mar 31 2016, 11:03 PM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Mar 31 2016, 11:08 PM
entr0py added a subscriber: entr0py.Jun 4 2016, 4:55 AM

Upstream ticket fixed as of 05/2016.

https://check.torproject.org now supports TLS v1.2.

Patrick updated the task description. (Show Details)Jun 4 2016, 3:14 PM

https://github.com/Whonix/whonixcheck/commit/599b43e95085b8b741df8d0583ca1e2d554b50bb

Done for Whonix 14. Recheck for Debian Stretch if there are any newer TLS versions.

Patrick updated the task description. (Show Details)Jun 9 2016, 12:57 AM
Patrick closed this task as Resolved.Jan 18 2017, 10:27 AM
Patrick claimed this task.

No newer options in stretch.

Follow up task:
T609